SenseCrypt Docs
API ReferenceAdmin Administration

Set Memberships

PUT/v1/admin/administration/{member_id}/memberships

Reconcile a member's memberships to the COMPLETE desired set in one shot.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

member_id*Member Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

The COMPLETE desired set of (tenant, role) grants for a member. The server reconciles (adds/removes the diff) and sends a single notification.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/admin/administration/497f6eca-6276-4993-bfeb-53cbbbba6f08/memberships" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "email": "user@example.com",  "full_name": "string",  "status": "string",  "must_change_password": true,  "is_active": true,  "memberships": [    {      "tenant_id": "string",      "tenant_name": "string",      "admin_role_id": "string",      "admin_role_name": "string"    }  ],  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "last_active_at": "2019-08-24T14:15:22Z",  "online": false}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}